package com.ruoyi.ibs.grid.domain.entity;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

/**
 * 客户明细统计_零售(GridCustCountLingshou965)实体类
 *
 * @author makejava
 * @since 2025-03-21 10:00:49
 */
public class GridCustCountLingshou implements Serializable {
    private static final long serialVersionUID = 162346464734513716L;
    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String custName;
    /**
     * 客户证件号
     */
    @Excel(name = "客户证件号")
    private String custIdc;
    /**
     * 客户内码
     */
    @Excel(name = "客户内码")
    private String custIsn;
    /**
     * 活期存款余额
     */
    @Excel(name = "活期存款余额（元）")
    private String curBalD;
    /**
     * 定期存款余额
     */
    @Excel(name = "定期存款余额（元）")
    private String curBalT;
    /**
     * 贷款余额
     */
    @Excel(name = "贷款余额（元）")
    private String balLoan;
    /**
     * 五级不良贷款余额
     */
    @Excel(name = "五级不良贷款余额（元）")
    private String curBal5Bad;
    /**
     * 活期存款年日均
     */
    @Excel(name = "活期存款年日均（元）")
    private String curDAve;
    /**
     * 定期存款年日均
     */
    @Excel(name = "定期存款年日均（元）")
    private String curTAve;
    /**
     * 贷款年日均
     */
    @Excel(name = "贷款年日均（元）")
    private String loanAve;
    /**
     * 是否建档
     */
    @Excel(name = "是否建档")
    private String isPh;
    /**
     * 是否授信
     */
    @Excel(name = "是否授信")
    private String isSx;
    /**
     * 是否合同签约
     */
    @Excel(name = "是否合同签约")
    private String isYxht;
    /**
     * 是否持有信用卡
     */
    @Excel(name = "是否持有信用卡")
    private String isXyk;
    /**
     * 是否开通丰收互联
     */
    @Excel(name = "是否开通丰收互联")
    private String fshl;
    /**
     * 是否办理收单
     */
    @Excel(name = "是否办理收单")
    private String isSd;
    /**
     * 是否办理etc
     */
    @Excel(name = "是否办理etc")
    private String etc;
    /**
     * 是否代扣电费
     */
    @Excel(name = "是否代扣电费")
    private String dian;
    /**
     * 是否贷款黑名单
     */
    @Excel(name = "是否贷款黑名单")
    private String isBlack;
    /**
     * 是否五级不良贷款客户
     */
    @Excel(name = "是否五级不良贷款客户")
    private String isBad;
    /**
     * 归属行政区划编码
     */
    private String regionCode;
    /**
     * 部室归属 0零售 1公司 2运管
     */
    private String opsDept;
    /**
     * 客户类型
     */
    private String custType;

    @Excel(name = "近365天有无走访")
    private String is365zf;
    @Excel(name = "近180天有无走访")
    private String is180zf;
    @Excel(name = "近90天有无走访")
    private String is90zf;
    @Excel(name = "近30天有无走访")
    private String is30zf;


    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getCurBalD() {
        return curBalD;
    }

    public void setCurBalD(String curBalD) {
        this.curBalD = curBalD;
    }

    public String getCurBalT() {
        return curBalT;
    }

    public void setCurBalT(String curBalT) {
        this.curBalT = curBalT;
    }

    public String getBalLoan() {
        return balLoan;
    }

    public void setBalLoan(String balLoan) {
        this.balLoan = balLoan;
    }

    public String getCurBal5Bad() {
        return curBal5Bad;
    }

    public void setCurBal5Bad(String curBal5Bad) {
        this.curBal5Bad = curBal5Bad;
    }

    public String getCurDAve() {
        return curDAve;
    }

    public void setCurDAve(String curDAve) {
        this.curDAve = curDAve;
    }

    public String getCurTAve() {
        return curTAve;
    }

    public void setCurTAve(String curTAve) {
        this.curTAve = curTAve;
    }

    public String getLoanAve() {
        return loanAve;
    }

    public void setLoanAve(String loanAve) {
        this.loanAve = loanAve;
    }

    public String getIsPh() {
        return isPh;
    }

    public void setIsPh(String isPh) {
        this.isPh = isPh;
    }

    public String getIsSx() {
        return isSx;
    }

    public void setIsSx(String isSx) {
        this.isSx = isSx;
    }

    public String getIsYxht() {
        return isYxht;
    }

    public void setIsYxht(String isYxht) {
        this.isYxht = isYxht;
    }

    public String getIsXyk() {
        return isXyk;
    }

    public void setIsXyk(String isXyk) {
        this.isXyk = isXyk;
    }

    public String getFshl() {
        return fshl;
    }

    public void setFshl(String fshl) {
        this.fshl = fshl;
    }

    public String getIsSd() {
        return isSd;
    }

    public void setIsSd(String isSd) {
        this.isSd = isSd;
    }

    public String getEtc() {
        return etc;
    }

    public void setEtc(String etc) {
        this.etc = etc;
    }

    public String getDian() {
        return dian;
    }

    public void setDian(String dian) {
        this.dian = dian;
    }

    public String getIsBlack() {
        return isBlack;
    }

    public void setIsBlack(String isBlack) {
        this.isBlack = isBlack;
    }

    public String getIsBad() {
        return isBad;
    }

    public void setIsBad(String isBad) {
        this.isBad = isBad;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getIs365zf() {
        return is365zf;
    }

    public void setIs365zf(String is365zf) {
        this.is365zf = is365zf;
    }

    public String getIs180zf() {
        return is180zf;
    }

    public void setIs180zf(String is180zf) {
        this.is180zf = is180zf;
    }

    public String getIs90zf() {
        return is90zf;
    }

    public void setIs90zf(String is90zf) {
        this.is90zf = is90zf;
    }

    public String getIs30zf() {
        return is30zf;
    }

    public void setIs30zf(String is30zf) {
        this.is30zf = is30zf;
    }
}

